hlins (0.40-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:06:13 +0200

hlins (0.40-1) unstable; urgency=medium

  * New upstream release. This release is un update for OCaml 5.2
    (closes: #1073881)
  * Drop patches that have been integrated upstream:
    - nocustom
    - examples_makefile
    - doc_makefile
    - manpage
    - Fix-compilation-with-OCaml-4.08.0
    - Fix-compilation-with-OCaml-4.13.1
  * Add debian/watch 
  * Standards-Version 4.7.0 (no change)
  * debian/copyright: update source location and copyright year

 -- Ralf Treinen <treinen@debian.org>  Wed, 17 Jul 2024 01:21:54 +0200

hlins (0.39-30) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.14.1
  * Make hlins an arch:any package
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Wed, 20 Sep 2023 19:36:11 +0200

hlins (0.39-29) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.13.1

 -- Stéphane Glondu <glondu@debian.org>  Wed, 19 Jan 2022 21:07:40 +0100

hlins (0.39-28) unstable; urgency=medium

  * Team upload
  * Fix compilation with OCaml 4.13.1
  * Bump Standards-Version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Sun, 26 Dec 2021 11:58:14 +0100

hlins (0.39-27) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Recompile with OCaml 4.11.1
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.

 -- Stéphane Glondu <glondu@debian.org>  Tue, 13 Oct 2020 07:26:32 +0200

hlins (0.39-26) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.08.1

 -- Stéphane Glondu <glondu@debian.org>  Tue, 05 Nov 2019 09:31:24 +0100

hlins (0.39-25) unstable; urgency=medium

  * Team upload
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Sep 2019 16:28:56 +0200

hlins (0.39-24) unstable; urgency=medium

  * Update Vcs-* to salsa
  * Standards-Version 4.2.1 (no change)
  * Fix some spelling errors in Descriptions of debian patches
  * Removed trailing whitespace in debian/changelog and debian/control
  * Debhelper compat version 11
  * debian/copyright: machine-readable format 1.0

 -- Ralf Treinen <treinen@debian.org>  Tue, 11 Dec 2018 21:23:59 +0100

hlins (0.39-23) unstable; urgency=medium

  * Standards-version 4.1.0 (no change).
  * Drop obsolete version constraint on build-dependency dh-ocaml.

 -- Ralf Treinen <treinen@debian.org>  Tue, 19 Sep 2017 21:22:09 +0200

hlins (0.39-22) unstable; urgency=medium

  * Standards-Version 3.9.8 (no change)
  * Debhelper compatibility level 10:
    - bump debian/compat
    - bump build-dependency on debhelper
  * Vcs-{Git,Browser}: use secure URI
  * patch manpage: fix various spelling mistakes in the manpage
  * add Homepage
  * add as-installed package test

 -- Ralf Treinen <treinen@debian.org>  Fri, 16 Dec 2016 08:51:42 +0100

hlins (0.39-21) unstable; urgency=medium

  * Team upload
  * Recompile with ocaml 4.02.3

 -- Stéphane Glondu <glondu@debian.org>  Sat, 10 Oct 2015 07:39:25 +0200

hlins (0.39-20) unstable; urgency=low

  * Team upload
  * Recompile with ocaml 4.01.0
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 07:48:28 +0100

hlins (0.39-19) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Rebuild with ocaml 3.12.1 (no source changes)

  [ Stefano Zacchiroli ]
  * remove myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Tue, 01 Nov 2011 20:35:54 +0100

hlins (0.39-17) unstable; urgency=low

  * Standards-Version 3.9.2 (no change)
  * Build-depend on dh-ocaml >= 0.9, use ${ocaml:Depends} for dependency
    on ocaml packages. Bump version of ocaml-nox (closes: #599316)
  * debian/rules: convert do dh. bump version on debhelper
  * Do not install LICENCE file.

 -- Ralf Treinen <treinen@debian.org>  Sun, 17 Apr 2011 20:08:23 +0200

hlins (0.39-16) unstable; urgency=low

  * Switch to source format 3.0 (quilt):
    - patches quilt style
    - no more build-dependency on dpatch
    - no more patching in debian/rules
    - add file debian/source
  * Standards-version 3.8.4 (no change)
  * Recompile for ocaml 3.11.2

 -- Ralf Treinen <treinen@debian.org>  Mon, 08 Feb 2010 20:14:27 +0100

hlins (0.39-15) unstable; urgency=low

  [ Stephane Glondu ]
  * Switch packaging to git

  [ Ralf Treinen ]
  * Standards-Version 3.8.2 (no change)
  * Rebuild with ocaml 3.11.1

 -- Ralf Treinen <treinen@debian.org>  Wed, 24 Jun 2009 22:29:14 +0200

hlins (0.39-14) unstable; urgency=low

  * Switch to cdbs, build-depend on cdbs and dh-ocaml
  * Relax build-dependency on ocaml to ">= 3.07" for upload to unstable.
  * Add dependency on ${misc:Depends}
  * Rename some files in source package:
    - debian/doc-base.hlins -> debian/hlins.doc-base
    - debian/dirs -> debian/hlins.dirs
    - debian/docs -> debian/hlins.docs

 -- Ralf Treinen <treinen@debian.org>  Sun, 22 Feb 2009 23:17:06 +0100

hlins (0.39-13) experimental; urgency=low

  * Rebuild with OCaml 3.11.0
  * debian/control
    - rinse Uploaders list to match the people who recently worked on the
      package
    - bump standards version to 3.8.0 (no changes needed)
    - add build-dep on dh-ocaml
    - bump build-dep on ocaml, to ensure proper build on unstable
  * debian/rules: get rid of deprecated "dh_clean -k" in favour of dh_prep
  * bump debhelper compatibility level to 7 (for the sake of Lenny),
    affected build-dep and debian/compat
  * debian/copyright: clarify that the GPL version is 2 (strict), and
    point to the appropriate file under /usr/share/common-licenses/
    (thanks lintian!)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 11 Feb 2009 11:24:22 +0100

hlins (0.39-12) unstable; urgency=low

  * Changed doc-base section to Text
  * Rebuild with OCaml 3.10.2.

 -- Ralf Treinen <treinen@debian.org>  Sun, 18 May 2008 22:24:24 +0200

hlins (0.39-11) unstable; urgency=low

  [ Ralf Treinen ]
  * Recompiled for ocaml 3.10.1
  * Standards-Version 3.7.3 (no change)
  * Update Uploaders

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

 -- Ralf Treinen <treinen@debian.org>  Thu, 07 Feb 2008 19:57:17 +0100

hlins (0.39-10) unstable; urgency=low

  * Upload to unstable.

 -- Ralf Treinen <treinen@debian.org>  Thu, 30 Aug 2007 21:02:02 +0200

hlins (0.39-9) experimental; urgency=low

  * Rebuild with ocaml 3.10
  * Relax build-dependency to ocaml-nox (>= 3.07), have version of dependency
    on ocaml-base-nox filled in from a substitution variable.
  * Do not ignore error of "make distclean" in "clean" target of debian/rules.

 -- Ralf Treinen <treinen@debian.org>  Wed, 04 Jul 2007 19:32:41 +0200

hlins (0.39-8) unstable; urgency=low

  * Standards-Version 3.7.2 (no change)
  * (Build-)depends on ocaml-3.09.2
  * Turn build-depends-indep on debhelper, dpatch into build-depends

 -- Ralf Treinen <treinen@debian.org>  Tue, 16 May 2006 20:44:37 +0200

hlins (0.39-7) unstable; urgency=low

  * Bumped (Build-)dependency on ocaml to 3.09.1
  * New uploader Sylvain Le Gall <gildor@debian.org>
  * Automate update of debian/control.

 -- Ralf Treinen <treinen@debian.org>  Sat,  7 Jan 2006 10:42:18 +0100

hlins (0.39-6) unstable; urgency=low

  * Added debian/svn-deblayout.
  * Bumped (build-)dependency on ocaml-* to 3.09.0.
  * Standards-Version 3.6.2 (no change).
  * debian/rules: dropped invocation of dh_installmanpages.

 -- Ralf Treinen <treinen@debian.org>  Sat,  5 Nov 2005 15:18:23 +0100

hlins (0.39-5) unstable; urgency=low

  * New uploader Samuel Mimram
  * Bumped (build-)dependency on ocaml-* from 3.08 to 3.08.3

 -- Ralf Treinen <treinen@debian.org>  Tue, 22 Mar 2005 22:35:31 +0100

hlins (0.39-4) unstable; urgency=low

  * Build with ocaml 3.08
  * Refine (build-) dependencies on ocaml to nox packages

 -- Ralf Treinen <treinen@debian.org>  Thu, 22 Jul 2004 21:08:23 +0200

hlins (0.39-3) unstable; urgency=low

  * Standards-Version 3.6.1 (no change)
  * Build with ocaml-3.07.
  * Remove version from dependency on dpatch, we don't need it.
  * Upstream repository is now on alioth.debian.org.
  * Fix doc/examples/test-examples/Makefile to use the right hlins.

 -- Ralf Treinen <treinen@debian.org>  Wed,  1 Oct 2003 22:46:20 +0200

hlins (0.39-2) unstable; urgency=low

  * Changed the Maintainer field to "Debian Ocaml Maintainers", added an
    Uploaders field with entries Sven Luther, Jerome Marant, Ralf Treinen,
    Remi Vanicat, Stefano Zacchiroli.
  * Move the setting of DH_COMPAT from debian/rules into debian/compat.
  * Standards-Version 3.5.10
  * Move to the dpatch system:
    - Add build-dependency on dpatch (>= 1.11)
    - Create directory debian/patches, put patch 01_nocustom.dpatch there
    - debian/rules: include dpatch.make, have hlins.bc depend on patch,
      and clean depend on unpatch

 -- Ralf Treinen <treinen@debian.org>  Wed, 18 Jun 2003 22:07:04 +0200

hlins (0.39-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version 3.5.9.
  * Updated in control file the upstream address and download url.

 -- Ralf Treinen <treinen@debian.org>  Thu,  1 May 2003 21:54:27 +0200

hlins (0.38-5) unstable; urgency=low

  * Recompiled with ocaml 3.06-13. Depends on
    ocaml-base-3.06-1. Build-depends on ocaml-3.06.1.
  * DH_COMPAT=4, build-depends on debhelper >= 4.0. Use debian/hlins directory
    instead of debian/tmp.
  * Replaced build-stamp by dependency on the generated binary.
  * Removed -g compilation flag.

 -- Ralf Treinen <treinen@debian.org>  Mon, 16 Dec 2002 20:34:49 +0100

hlins (0.38-4) unstable; urgency=low

  * Standards-Version: 3.5.8.
  * debian/rules: use the value of DEB_BUILD_OPTIONS to decide whether to
    pass a compile option in the CAMLCOPTS variable.
  * Changed (build-)dependency from "ocaml >> 3.06, ocaml << 3.06" to
    ocaml-3.06, as recommended by the ocaml packaging policy (closes:
    Bug#166575).

 -- Ralf Treinen <treinen@debian.org>  Mon, 25 Nov 2002 21:45:17 +0100

hlins (0.38-3) unstable; urgency=low

  * Changed (build)-dependency to ocaml >= 3.06 & << 3.07, since future
    versions of ocaml are not guaranteed to work on 3.06 bytecode.

 -- Ralf Treinen <treinen@debian.org>  Thu,  3 Oct 2002 22:44:59 +0200

hlins (0.38-2) unstable; urgency=low

  * Switched to bytecode instead of native code: Architecture all,
    Build-depends-indep on ocaml >= 3.04, Depends on ocaml-base
    >=3.04. Removed the dynamic creation of the copyright file.
  * Removed in upstream source/Makefile.in the -custom option to ocamlc.
  * Removed some cruft from debian/rules.
  * Standards-Version: 3.5.6.0.
  * Fixed a typo in description (closes: Bug#124736).
  * Removed debian/{postinst,preinst,postrm,prerm}.

 -- Ralf Treinen <treinen@debian.org>  Wed,  9 Jan 2002 21:32:12 +0100

hlins (0.38-1) unstable; urgency=low

  * New upstream release

 -- Ralf Treinen <treinen@debian.org>  Mon,  9 Oct 2000 20:07:21 +0200

hlins (0.37-1) unstable; urgency=low

  * New upstream release

 -- Ralf Treinen <treinen@debian.org>  Sun, 17 Sep 2000 17:48:12 +0200

hlins (0.34-1) unstable; urgency=low

  * New upstream release: protected areas

 -- Ralf Treinen <treinen@club-internet.fr>  Thu, 23 Mar 2000 07:44:42 +0100

hlins (0.33-1) unstable; urgency=low

  * Initial Release.

 -- Ralf Treinen <treinen@club-internet.fr>  Thu,  9 Mar 2000 20:09:00 +0100
